Subject: Re: d80211: ieee80211_hw handlers in atomic context

From: Jan Kiszka <[email-masked]>
Date: Wed, 04 Oct 2006 18:51:40 +0200

Jiri Benc wrote:
> On Wed, 4 Oct 2006 18:34:57 +0200, Ivo van Doorn wrote:
>> You could replace the timer with a workqueue, the original patch
>> also did that, so I think it would be good enough this time as well. :)
> 
> Yes, the timing isn't required to be precise here.

Ok, I'm not promising success and I'm going to duck immediately if
someone else feels like working on it, but I could try to patch in this
direction.

Now there just remains my precautious question if there are other
services in the ieee_80211_hw interface that may conflict with sleeping
USB drivers. What about specifying the possible contexts in
include/net/d80211.h?

Jan